Skip to main content
GET
/
api
/
v1
/
lists
curl -X GET "https://api.orwel.io/api/v1/lists?limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "data": [
    {
      "id": "list-uuid",
      "name": "VIP Customers",
      "description": "High value customers",
      "color": "#FF0000",
      "created_at": "2025-01-01T00:00:00Z"
    }
  ],
  "pagination": {
    "limit": 10,
    "offset": 0,
    "total": 5
  }
}

Query Parameters

limit
integer
default:"50"
Maximum number of results to return (max: 100)
offset
integer
default:"0"
Number of results to skip for pagination

Response

data
array
Array of visitor list objects
pagination
object
Pagination information
curl -X GET "https://api.orwel.io/api/v1/lists?limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "data": [
    {
      "id": "list-uuid",
      "name": "VIP Customers",
      "description": "High value customers",
      "color": "#FF0000",
      "created_at": "2025-01-01T00:00:00Z"
    }
  ],
  "pagination": {
    "limit": 10,
    "offset": 0,
    "total": 5
  }
}